Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/src/lib
diff options
context:
space:
mode:
Diffstat (limited to 'src/lib')
-rw-r--r--src/lib/build/build.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/src/lib/build/build.sh b/src/lib/build/build.sh
index e32c79f..72ee4fb 100644
--- a/src/lib/build/build.sh
+++ b/src/lib/build/build.sh
@@ -335,18 +335,21 @@ pkgctl_build() {
# edit PKGBUILD
if (( EDIT )); then
stat_busy 'Editing PKGBUILD'
- if [[ -n $VISUAL ]]; then
+ if [[ -n $GIT_EDITOR ]]; then
+ $GIT_EDITOR PKGBUILD || die
+ elif [[ -n $VISUAL ]]; then
$VISUAL PKGBUILD || die
elif [[ -n $EDITOR ]]; then
$EDITOR PKGBUILD || die
- elif command -v vi &>/dev/null; then
- vi PKGBUILD || die
+ elif giteditor=$(git config --get core.editor); then
+ $giteditor PKGBUILD || die
else
- die "need \$VISUAL or \$EDITOR to edit the PKGBUILD"
+ die "No usable editor found (tried \$GIT_EDITOR, \$VISUAL, \$EDITOR, git config [core.editor])."
fi
stat_done
fi
+
# update checksums if any sources are declared
if (( UPDPKGSUMS )) && (( ${#source[@]} >= 1 )); then
updpkgsums